Rockbox Technical Forums

Installation / Removal => Manual Installation => Archos - Installation/Removal/Flashing => Topic started by: tspoon on March 30, 2009, 09:41:48 PM

Title: Rombox mismatch on Player w/ 3.2
Post by: tspoon on March 30, 2009, 09:41:48 PM
Hi I'm having problems here, would appreciate any light that can be shed on the problem.

I downloaded 3.2 and installed it to the Archos Player. I can flash rockbox.ucl ok, but not Rombox.ucl, it says 'You're not using the latest bootloader', and then - 'rombox mismatch'. The best link I could find to a boot loader is here : http://www.rockbox.org/tracker/9369 but the file I downloaded ran ok, but didn't seem to change anything, rombox.ucl still has the same message.
 With the bootloader I downloaded, it now always says 'Rescue Boot' when booting, and boots to 3.2 fine.
 Is there a newer bootloader than that one, and if so where please.
Title: Re: Rombox mismatch on Player w/ 3.2
Post by: pixelma on March 31, 2009, 01:20:04 AM
There are no files for the Archos Player in the mentioned flyspray task - be carefull and read descriptions or instructions thoroughly, otherwise you risk damaging your player.

(I only have an Archos Ondio, no Player and didn't do this update yet.) If I'm not mistaken you now need to update the bootloader as described in the "Advanced Topics" > "Rockbox in Flash", more specifically the "Initial Flashing Procedure (http://download.rockbox.org/manual/rockbox-player/rockbox-buildch11.html#x14-19700011.5.3)" chapter of the manual.

Edit: fixed link
Title: Re: Rombox mismatch on Player w/ 3.2
Post by: tspoon on March 31, 2009, 04:42:02 AM
The file I mentioned is in the first comment to that patch. I have followed the instructions from the manual for flashing, this is an update, not the initial flash. Rockbox.ucl works ok, but not rombox.ucl.

It's a pity, as I was quite excited when I saw the release notes for 3.2 : 'New archos flash packages, featuring an optimised, faster bootloader.'

Here's hoping someone knows how to achieve this, or what I need to do differently...
Title: Re: Rombox mismatch on Player w/ 3.2
Post by: dreamlayers on March 31, 2009, 09:20:02 AM
What about these:  http://download.rockbox.org/bootloader/archos/
In particular: http://download.rockbox.org/bootloader/archos/flash-player-v3.zip
I'm pretty sure those are the right files, but I don't see any instructions referencing them.
Title: Re: Rombox mismatch on Player w/ 3.2
Post by: pixelma on March 31, 2009, 10:00:07 AM
What about these:  http://download.rockbox.org/bootloader/archos/

They are referenced in the chapter of the manual I linked to (the link was broken until now though). Don't let the headline mislead you, the second sentence in this chapter reads:

Quote
You may also want to perform it in case the update procedure for the second image recommends it. In the latter case do not perform the steps listed under ”Preparation”.

And sorry, I didn't read the comment  :-\ but the files on download.rockbox.org have been updated and instructions are in the manual, you don't just "run" the file. Hopefully remembering correctly that you should be able to flash rombox.ucl too after installing a new bootloader...
Title: Re: Rombox mismatch on Player w/ 3.2
Post by: tspoon on March 31, 2009, 01:05:20 PM
Thankyou all, that last link was the one...